%define name speaker3
%define version 0.5
%define release %mkrel 8

Name:		%{name}
Summary:	A text to speech synthesizer for Konqueror
Version:	%{version}
Release:	%{release}
Url:		http://dogma.freebsd-uk.eu.org/~grrussel/speaker.html
Source0:	speaker-%{version}.tar.bz2
License:	GPL
Group: 		Graphical desktop/KDE
Requires:	festival
BuildRequires:	kdelibs-devel
BuildRequires:	fam-devel

Patch1:		speaker3-0.1-fix-crash.patch.bz2

%description 
This plugin for konqueror will read aloud webpages, or 
portions thereof, with the festival speech system.

%prep 
rm -rf $RPM_BUILD_ROOT 

%setup -q -n speaker3-0.1
%patch1 -p1 -b .fix_crash

%build
export CFLAGS="%optflags -fPIC"
export CXXFLAGS="%optflags -fPIC"
%configure2_5x --enable-final

%make

%install 

%make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%_libdir/*
%_docdir/HTML/en/speaker3/
%_datadir/apps/khtml/kpartplugins/speaker3.rc
%_iconsdir/locolor/16x16/apps/*



%changelog
* Fri Dec 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-8mdv2008.1
+ Revision: 136261
- compile with -fPIC
- use %%configure2_5x
- fix fam-devel BR
- kill re-definition of %%buildroot on Pixel's request
- import speaker3


* Thu Oct 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-8mdk
- Fix BuildRequires
- %%mkrel

* Mon Jul 05 2004 Michael Scherer <misc@mandrake.org> 0.5-7mdk 
- rebuild for new gcc

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-6mdk
- Fix crash bug hantill #528

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-5mdk
- Rebuild

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- rebuild

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- rebuild

* Wed Nov 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Elliott Martin <elliott@pdx.edu> :
	- 0.1
